<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */

declare(strict_types=1);

namespace BookiFlex\Core\Contract\Taxation;

defined( 'ABSPATH' ) || exit;

interface TaxCalculatorInterface
{
    /**
     * Calculate and apply taxes to the given items.
     *
     * @param TaxableInterface[] $items
     */
    public function applyTaxes(array $items): void;
}
